##### basic_raw_socket::basic_raw_socket (10 of 10 overloads)

Move-construct a `basic_raw_socket` from a socket of another protocol type.

    template<
        typename Protocol1,
        typename Executor1>
    basic_raw_socket(
        basic_raw_socket< Protocol1, Executor1 > && other,
        constraint_t< is_convertible< Protocol1, Protocol >::value &&is_convertible< Executor1, Executor >::value >  = 0);

This constructor moves a raw socket from one object to another.

###### Parameters

other

  The other `basic_raw_socket` object from which the move will occur.

###### Remarks

Following the move, the moved-from object is in the same state as if constructed using the `basic_raw_socket(const executor_type&)` constructor.